﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Globalization;
using System.IO;
using System.Runtime.InteropServices.ComTypes;

namespace OpenAndParseFile
{
    class Program
    {
        static void Main(string[] args)
        {
            string strPathFile = string.Empty,
                strBuffer = string.Empty;

            List<Person> lst = null;

            strPathFile = ConfigurationManager.AppSettings["PathFile"].ToString();

            strBuffer = File.ReadAllText(strPathFile);

            lst = ParseData(strBuffer);


        }

        private static List<Person> ParseData(string strBuffer)
        {
            List<Person> lst = new List<Person>();

            foreach (string str in strBuffer.Split(new char[] { '\n' }, StringSplitOptions.None))
            {
                string[] aryStr = str.Split(",", StringSplitOptions.None);

                Person p = new Person();

                for (int i = 0; i < aryStr.Length; i++)
                {
                    if (!string.IsNullOrEmpty(aryStr[i]))
                    {
                        int nIsNum = 0;
                        DateTime dt = new DateTime(1900, 1, 1);
                        switch (i)
                        {
                            case 0:
                                int.TryParse(aryStr[i], out nIsNum);
                                p.Reg = nIsNum;
                                break;
                            case 1:
                                p.FirstName = aryStr[i];
                                break;
                            case 2:
                                p.LastName = aryStr[i];
                                break;
                            case 3:
                                p.Gender = aryStr[i];
                                break;
                            case 4:
                                p.Country = aryStr[i];
                                break;
                            case 5:
                                int.TryParse(aryStr[i], out nIsNum);
                                p.Age = nIsNum;
                                break;
                            case 6:
                                DateTime.TryParse(aryStr[i], out dt);
                                p.Date = dt;
                                break;
                            case 7:
                                int.TryParse(aryStr[i],out nIsNum);
                                p.Id = nIsNum;
                                break;
                        }
                    }
                }
                lst.Add(p);
            }

            return lst;
        }
    }
}
